# P3libImage

## library for all helper image classes

class P3libImage

  public

  def self.p3imgutils_path
    p3imgutils_path = File.expand_path('../../p3imgutils', __FILE__)
#    p p3imgutils_path
    return p3imgutils_path
  end

  def getXYRatio(original_size,newWidth, newHeight)
    return newWidth.to_f / original_size.width.to_f, newHeight.to_f / original_size.height.to_f
  end

  def self.resizeBitmap(img,pixWidth,pixHeight)
    cmd = "#{self.p3imgutils_path}/p3scale -w#{pixWidth} -h#{pixHeight} -i '#{img}' -o '#{img}'"
    P3libLogger::log("resizing cmd:",cmd)
    system(cmd)
  end

  def self.resizeBitmapWithOutputType(imgIN,imgOUT,pixWidth,pixHeight,type)
    cmd = "#{self.p3imgutils_path}/p3scale -w#{pixWidth} -h#{pixHeight} -i '#{imgIN}' -o '#{imgOUT}' -t #{type}"
    P3libLogger::log("resizing  with type  cmd:",cmd)
    system(cmd)
  end

  def self.resizeBitmapByWidth(img,pixWidth)
    cmd = "#{self.p3imgutils_path}/p3scale -w#{pixWidth} -h0 -i '#{img}' -o '#{img}'"
    P3libLogger::log("resizing cmd:",cmd)
    system(cmd)
  end

  def self.trimAlphaFromImage(inImage,outImage)
    cmd = "#{self.p3imgutils_path}/p3trimalpha -i '#{inImage}' -o '#{outImage}'"

    P3libLogger::log("trimming alpha to :",outImage)
    P3libLogger::log("trimming alpha using :",cmd)
    system(cmd)
  end

  #TODO TEST
  def self.convertImgToFiletype(inImage,outImage,type)
    cmd = "#{self.p3imgutils_path}/p3convfiletype -i '#{inImage}' -o '#{outImage}' -t #{type}"
    P3libLogger::log("convertingh #{inImage} to #{outImage} of type #{type}")
    system(cmd)
  end

end
