class P3LibIndesignlocalization

  def initialize(inDesignApp)

    @idApp = inDesignApp
    @langcode = guess_langcode

    create_langhash
  end

  public
  def translate(string)

    if(@langcode == 'en')
      return string
    else
      return @langhash[@langcode][string]
    end
  end

  def guess_langcode

#    all_pdf_presets = @idApp.PDF_export_presets.name.get
#    P3libLogger::log('First preset',all_pdf_presets[0])
#    if all_pdf_presets.include? '[Smallest File Size]'
#      'en'
#    elsif all_pdf_presets.include? '[Kleinste bestandsgrootte]'
#      'nl'
#    else
#      'unknown'
#    end

    firstPrinterPreset = @idApp.printer_presets.name.get[0]
    langcode = case firstPrinterPreset
               when "[Default]" then "en"
               when "[Standaard]" then "nl"
               else "Unknown"
               end

    return langcode
  end

  private
  def create_langhash
    @langhash = Hash.new
    @langhash['nl'] = Hash.new
    @langhash['nl']['[Low Resolution]'] =         '[Lage resolutie]'
    @langhash['nl']['[Medium Resolution]'] =      '[Normale resolutie]'
    @langhash['nl']['[High Resolution]'] =        '[Hoge resolutie]'
    @langhash['nl']['[Basic Text Frame]'] =       '[Basistekstkader]'
    @langhash['nl']['[Basic Graphics Frame]'] =   '[Basisafbeeldingskader]'
#    @langhash['nl']['[Smallest File Size]'] =     '[Kleinste bestandsgrootte]'
    @langhash['nl']['[Smallest File Size]'] =     '[Smallest File Size]'
  end
end
